﻿//xjasek04
//Bachelor thesis - Physical Simulation in 3D Scene Using PhysX

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PhysXTanks.Settings;

namespace PhysXTanks
{

    public enum GameState {InMenu, Running};

    class CurrentState
    {
        private static readonly CurrentState instance = new CurrentState();

        private CurrentState()
        {
            gameState = DefaultSettings.Instance.GameState;
        }

        public static CurrentState Instance
        {
            get
            {
                return instance;
            }
        }

        private GameState gameState;
        public GameState GameState
        {
            get
            {
                return gameState;
            }
            set
            {
                gameState = value;
            }
        }
    }
}
