﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhysXTanks.Settings
{
    class DefaultSettings
    {
        private static readonly DefaultSettings instance = new DefaultSettings();

        private DefaultSettings()
        {
        }

        public static DefaultSettings Instance
        {
            get
            {
                return instance;
            }
        }

        private readonly GameState gameState = GameState.InMenu;
        public GameState GameState
        {
            get
            {
                return gameState;
            }            
        }
    }
}
